import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { ConsolidatedItemsPosition } from "./ConsolidatedItemsPosition";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { List$1 } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ColumnSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bj(): Series;
    protected get_ez(): boolean;
    protected get_fl(): boolean;
    protected jk(): number;
    protected cs(): SeriesView;
    acu: ColumnSeriesView;
    qz(a: SeriesView): void;
    cy(): SeriesVisibleRangeMode;
    protected y2(): CategoryTransitionInMode;
    constructor();
    acy: number;
    acz: number;
    protected get_ed(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    private ac0;
    wl(a: Point): Rect;
    gw(a: Point, b: boolean): boolean;
    o5(a: boolean, b: SeriesView): void;
    iw(): number;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    aai(a: CategoryFrame, b: CategorySeriesView): void;
    private acv;
    get acw(): ConsolidatedItemsPosition;
    set acw(a: ConsolidatedItemsPosition);
    private acx;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ColumnSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    au(): void;
    protected df: ColumnSeries;
    constructor(a: ColumnSeries);
    dn(): Rectangle;
    protected dh: List$1<Rectangle>;
    di(a: Rectangle): void;
    dk(a: Rectangle): void;
    dj(a: Rectangle): void;
    dl(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private dm;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    dg: Pool$1<Rectangle>;
    an(a: any): void;
}
